com.sun.jna.platform.win32

## Class WinBase.MEMORYSTATUSEX

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.MEMORYSTATUSEX

Enclosing interface:
  WinBase

    @Structure.FieldOrder(value={"dwLength","dwMemoryLoad","ullTotalPhys","ullAvailPhys","ullTotalPageFile","ullAvailPageFile","ullTotalVirtual","ullAvailVirtual","ullAvailExtendedVirtual"})
    public static class WinBase.MEMORYSTATUSEX
    extends Structure

Contains information about the current state of both physical and virtual memory, including extended memory. The GlobalMemoryStatusEx function stores information in this structure.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`WinDef.DWORD` `dwLength` The size of the structure, in bytes.
`WinDef.DWORD` `dwMemoryLoad` A number between 0 and 100 that specifies the approximate percentage of physical memory that is in use (0 indicates no memory use and 100 indicates full memory use).
`WinDef.DWORDLONG` `ullAvailExtendedVirtual` Reserved.
`WinDef.DWORDLONG` `ullAvailPageFile` The maximum amount of memory the current process can commit, in bytes.
`WinDef.DWORDLONG` `ullAvailPhys` The amount of physical memory currently available, in bytes.
`WinDef.DWORDLONG` `ullAvailVirtual` The amount of unreserved and uncommitted memory currently in the user-mode portion of the virtual address space of the calling process, in bytes.
`WinDef.DWORDLONG` `ullTotalPageFile` The current committed memory limit for the system or the current process, whichever is smaller, in bytes.
`WinDef.DWORDLONG` `ullTotalPhys` The amount of actual physical memory, in bytes.
`WinDef.DWORDLONG` `ullTotalVirtual` The size of the user-mode portion of the virtual address space of the calling process, in bytes.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`MEMORYSTATUSEX()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwLength

    public WinDef.DWORD dwLength

The size of the structure, in bytes.

#### dwMemoryLoad

    public WinDef.DWORD dwMemoryLoad

A number between 0 and 100 that specifies the approximate percentage of physical memory that is in use (0 indicates no memory use and 100 indicates full memory use).

#### ullTotalPhys

    public WinDef.DWORDLONG ullTotalPhys

The amount of actual physical memory, in bytes.

#### ullAvailPhys

    public WinDef.DWORDLONG ullAvailPhys

The amount of physical memory currently available, in bytes. This is the amount of physical memory that can be immediately reused without having to write its contents to disk first. It is the sum of the size of the standby, free, and zero lists.

#### ullTotalPageFile

    public WinDef.DWORDLONG ullTotalPageFile

The current committed memory limit for the system or the current process, whichever is smaller, in bytes.

#### ullAvailPageFile

    public WinDef.DWORDLONG ullAvailPageFile

The maximum amount of memory the current process can commit, in bytes. This value is equal to or smaller than the system-wide available commit value.

#### ullTotalVirtual

    public WinDef.DWORDLONG ullTotalVirtual

The size of the user-mode portion of the virtual address space of the calling process, in bytes.

#### ullAvailVirtual

    public WinDef.DWORDLONG ullAvailVirtual

The amount of unreserved and uncommitted memory currently in the user-mode portion of the virtual address space of the calling process, in bytes.

#### ullAvailExtendedVirtual

    public WinDef.DWORDLONG ullAvailExtendedVirtual

Reserved. This value is always 0.

### Constructor Detail

#### MEMORYSTATUSEX

    public MEMORYSTATUSEX()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.